<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Framework\View\Element\Template */
/** @var $helper \Magento\Search\Helper\Data */
?>
<style type="text/css">
	



.product-item-sku {
	display: block;
	margin-bottom: 10px;
}
span.al_part {
	display: inline-block;
}
.al_skupart{
	display: inline-block;
}
#mgs-instant-autocomplete-wrapper .product-info-price, #mgs-instant-autocomplete-wrapper .product-item-sku {
	display: inline-block;
}
 #mgs-instant-autocomplete-wrapper .product-item-price {
 	padding-left: 10px;
 }
.header .search-form .form-search {
    position: absolute;
    z-index: 9999;
    opacity: 0;
    visibility: hidden;
    transition: all .4s;
    -webkit-transition: all .4s;
    -moz-transition: all .4s;
    -o-transition: all .4s;
	background: none;
	top: unset;
    left: unset;
    right: unset;
    bottom: unset;
}
.header .search-close {
    position: absolute;
    right: 0px;
    top: -20px;
    color: #000;
    width: 60px;
    height: 60px;
    background: 0 0;
    border: none;
    font-size: 20px;
    z-index: 1;
}
.header .search-form .form-search .form.minisearch .input-text {
    position: absolute;
    top: -10px;
    right: 10px;
    width: 250px;
	left: auto;
}
.header .search-form .form-search .form.minisearch .input-text {
    border: 0;
    background: #fff;
    border-bottom: 1px solid rgb(0, 0, 0);
    padding: 0;
    text-align: left;
    font-size: 16px;
    color: #000;
    box-shadow: none;
}

.header .search-form .form-search .form.minisearch {
    max-width: 580px; 
    margin: 0 auto;
    padding: 15px;
}

#search_mini_form .mgs-instant-search-dropdown {
    position: absolute;
    z-index: 1;
    margin-top: 5px;
    right: 0px;
    width: 500px;
	left: auto !important;
}

#search_mini_form .mgs-instant-search-dropdown {
    top: 25px;
}

#search_mini_form .mgs-instant-search-dropdown .mgs-instant-autocomplete-wrapper {
    background-color: #fff;
    padding: 0 10px 10px;
    overflow-x: hidden;
    overflow-y: auto;
	max-height: unset !important;
}

.search-open:not(.search-not-full) {
    overflow: unset !important;
}
#headMo #search_mini_form input{
  background: transparent;
  color: #fff;
}

#headMo .search-close{
  color: #ffffff;
}
@keyframes slide-in {
  0% {
    -webkit-transform: translateX(100%);
  }
  100% {
    -webkit-transform: translateX(0%);
  }
}

@-webkit-keyframes slide-in {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(0%);
  }
}

@keyframes slide-out {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(100%);
  }
}

@-webkit-keyframes slide-out {
  0% {
    -webkit-transform: translateX(0%);
  }
  100% {
    -webkit-transform: translateX(100%);
  }
}


@media (max-width: 480px) {
	#search_mini_form .mgs-instant-search-dropdown{
		width: 300px !important;
	}
	#mgs-instant-autocomplete-wrapper .product-item-price {
 		padding-left: 0px;
 	}
 	#search_mini_form input {
 		margin: 0 auto;
 	}
}
</style>

<?php $helper = $this->helper('Magento\Search\Helper\Data'); ?>

<?php $mpanelHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>

<?php $disableSearchFull = $mpanelHelper->getStoreConfig('mpanel/catalogsearch/search_full_page'); ?>

<div class="search-form <?php if($disableSearchFull):?>not-full<?php endif;?>">
	<div class="form-search">
		<button class="search-close" onclick="showHideFormSearch()"><i class="pe-7s-close"></i></button>
		<form class="form minisearch" id="search_mini_form" action="<?php /* @escapeNotVerified */ echo $helper->getResultUrl() ?>" method="get">
			<input type="hidden" name="product_list_order" value="new_old" />
			<input id="search"
			   data-mage-init='{"quickSearch":{
					"formSelector":"#search_mini_form",
					"url":"<?php /* @escapeNotVerified */ echo $block->getUrl('search/ajax/suggest'); ?>",
					"destinationSelector":"#search_autocomplete"}
			   }'
			   type="text"
			   name="<?php /* @escapeNotVerified */ echo $helper->getQueryParamName() ?>"
			   value="<?php /* @escapeNotVerified */ echo $helper->getEscapedQueryText() ?>"
			   class="input-text form-control"
			   maxlength="<?php /* @escapeNotVerified */ echo $helper->getMaxQueryLength();?>"
			   placeholder="<?php echo __('Search for...') ?>"
			   role="combobox"
			   aria-expanded="true"
			   aria-haspopup="false"
			   aria-autocomplete="both"
			   autocomplete="off"/>
				
			<button type="submit" title="<?php echo $block->escapeHtml(__('Search')) ?>" class="button">
				<i class="pe-7s-search"></i>
			</button>	   
			<div id="search_autocomplete" class="search-autocomplete" style="display: none;"></div>
			<?php echo $block->getChildHtml() ?>
		</form>
	</div>
	<div class="actions-search">
		<button class="action-search" onclick="showHideFormSearch()"><i class="pe-7s-search"></i></button>
	</div>
</div>

<script type="text/javascript">
	function showHideFormSearch(){
		require([
		'jquery'
		], function(jQuery){
			(function($) {
				if($('.search-form').hasClass('not-full')){
					$('html').toggleClass('search-not-full');
				}
				$('html').toggleClass('search-open');
				setTimeout(focusSearchField, 500);
			})(jQuery);
		});
	}
	
	function focusSearchField(){
		require([
		'jquery'
		], function(jQuery){
			(function($) {
				$('#search_mini_form input#search').focus();
			})(jQuery);
		});
	}
</script>
